com.unitech.lib.uhf.params

## Class RFIDConfig

- java.lang.Object
- - com.unitech.lib.uhf.params.RFIDConfig

-     public class RFIDConfig
      extends Object

  The RFIDConfig class stores the config of the RFID module.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AlgorithmType` | `algorithm` The Q algorithm setting
    `AntennaSwitchingMode` | `antennaSwitchingMode` The antenna switching mode setting
    `BLFType` | `blfType` The BLF setting, only for RP902
    `boolean` | `continuousMode` The continuous mode setting
    `int` | `dwellTime` The antenna dwellTime value
    `Encoding` | `encoding` The Encoding setting, only for RP902
    `boolean` | `fastID` The fast id setting(read tid)
    `boolean` | `fastMode` The fast mode setting, only for RP902
    `FreqSwitchingMode` | `freqSwitchingMode` The frequency switching mode setting
    `Gen2XScanIdSetting` | `gen2XScanIdSetting` The gen2x scanId setting, only for RP300
    `Gen2XScanSetting` | `gen2XScanSetting` The gen2x scan setting, only for RP300
    `int` | `idleTime` The idle time setting
    `int` | `inventoryTime` The inventory time setting
    `boolean` | `lbt` The lbt setting
    `int` | `lbtCfgSetting` The lbtCfgSetting value
    `int` | `maxQ` The maximum Q value
    `int` | `minQ` The minimum Q value
    `int` | `moduleProfile` The module's profile setting, only for HT730
    `int` | `power` The antenna power setting
    `PowerSavingMode` | `powerSavingMode` The power saving mode setting
    `RFMode` | `rfMode` The rf mode setting
    `int` | `roundCount` The antenna roundCount value
    `SelectMode` | `selectMode` The select mode setting
    `Session` | `session` The Session setting
    `int` | `startQ` The start Q value
    `List<UhfParamId>` | `supportedParams` The list of supported parameters This is used to check which parameters are set in the config
    `boolean` | `tagFocus` The tag focus setting
    `Target` | `target` The Target setting
    `TARIType` | `tariType` The TARI setting, only for RP902
    `boolean` | `toggleTarget` The toggle target setting

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isContains(UhfParamId paramId)` Checks if the RFIDConfig contains a specific parameter.
    `void` | `setAlgorithm(AlgorithmType algorithm)` Sets the algorithm type for the RFID module.
    `void` | `setAntennaSwitchingMode(AntennaSwitchingMode antennaSwitchingMode)` Sets the antenna switching mode for the RFID module.
    `void` | `setBlfType(BLFType blfType)` Sets the BLF type for the RFID module.
    `void` | `setContinuousMode(boolean continuousMode)` Sets the continuous mode.
    `void` | `setDwellTime(int dwellTime)` Sets the dwell time for the RFID module.
    `void` | `setEncoding(Encoding encoding)` Sets the encoding for the RFID module.
    `void` | `setFastID(boolean fastID)` Sets the fast ID (read TID) setting for the RFID module.
    `void` | `setFastMode(boolean fastMode)` Sets the fast mode for the RFID module.
    `void` | `setFreqSwitchingMode(FreqSwitchingMode freqSwitchingMode)` Sets the frequency switching mode for the RFID module.
    `void` | `setGen2xScan(Gen2XScanSetting gen2XScanSetting)` Sets the gen2x scan for the RFID module.
    `void` | `setGen2xScanId(Gen2XScanIdSetting gen2XScanIdSetting)` Sets the gen2x scanId for the RFID module
    `void` | `setIdleTime(int idleTime)` Sets the idle time for the RFID module.
    `void` | `setInventoryTime(int inventoryTime)` Sets the inventory time for the RFID module.
    `void` | `setLbt(boolean lbt)` Sets the lbt (Listen Before Talk) setting for the RFID module.
    `void` | `setLbtCfgSetting(int lbtCfgSetting)` Sets the LBT configuration setting for the RFID module.
    `void` | `setMaxQ(int maxQ)` Sets the maximum Q value for the RFID module.
    `void` | `setMinQ(int minQ)` Sets the minimum Q value for the RFID module.
    `void` | `setModuleProfile(int moduleProfile)` Sets the module profile for the RFID module.
    `void` | `setPower(int power)` Sets the power for the RFID module.
    `void` | `setPowerSavingMode(PowerSavingMode powerSavingMode)` Sets the power saving mode for the RFID module.
    `void` | `setRfMode(RFMode rfMode)` Sets the RF mode for the RFID module.
    `void` | `setRoundCount(int roundCount)` Sets the round count for the RFID module.
    `void` | `setSelectMode(SelectMode selectMode)` Sets the select mode for the RFID module.
    `void` | `setSession(Session session)` Sets the session for the RFID module.
    `void` | `setStartQ(int startQ)` Sets the start Q value for the RFID module.
    `void` | `setTagFocus(boolean tagFocus)` Sets the tag focus setting for the RFID module.
    `void` | `setTarget(Target target)` Sets the target for the RFID module.
    `void` | `setTariType(TARIType tariType)` Sets the TARI type for the RFID module.
    `void` | `setToggleTarget(boolean toggleTarget)` Sets the toggle target for the RFID module.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### continuousMode

          public boolean continuousMode

      The continuous mode setting

    - #### target

          public Target target

      The Target setting

    - #### session

          public Session session

      The Session setting

    - #### encoding

          public Encoding encoding

      The Encoding setting, only for RP902

    - #### tariType

          public TARIType tariType

      The TARI setting, only for RP902

    - #### blfType

          public BLFType blfType

      The BLF setting, only for RP902

    - #### algorithm

          public AlgorithmType algorithm

      The Q algorithm setting

    - #### fastMode

          public boolean fastMode

      The fast mode setting, only for RP902

    - #### toggleTarget

          public boolean toggleTarget

      The toggle target setting

    - #### power

          public int power

      The antenna power setting

    - #### inventoryTime

          public int inventoryTime

      The inventory time setting

    - #### idleTime

          public int idleTime

      The idle time setting

    - #### startQ

          public int startQ

      The start Q value

    - #### maxQ

          public int maxQ

      The maximum Q value

    - #### minQ

          public int minQ

      The minimum Q value

    - #### dwellTime

          public int dwellTime

      The antenna dwellTime value

    - #### roundCount

          public int roundCount

      The antenna roundCount value

    - #### rfMode

          public RFMode rfMode

      The rf mode setting

    - #### selectMode

          public SelectMode selectMode

      The select mode setting

    - #### lbt

          public boolean lbt

      The lbt setting

    - #### fastID

          public boolean fastID

      The fast id setting(read tid)

    - #### tagFocus

          public boolean tagFocus

      The tag focus setting

    - #### powerSavingMode

          public PowerSavingMode powerSavingMode

      The power saving mode setting

    - #### lbtCfgSetting

          public int lbtCfgSetting

      The lbtCfgSetting value

    - #### antennaSwitchingMode

          public AntennaSwitchingMode antennaSwitchingMode

      The antenna switching mode setting

    - #### freqSwitchingMode

          public FreqSwitchingMode freqSwitchingMode

      The frequency switching mode setting

    - #### moduleProfile

          public int moduleProfile

      The module's profile setting, only for HT730

    - #### gen2XScanSetting

          public Gen2XScanSetting gen2XScanSetting

      The gen2x scan setting, only for RP300

    - #### gen2XScanIdSetting

          public Gen2XScanIdSetting gen2XScanIdSetting

      The gen2x scanId setting, only for RP300

    - #### supportedParams

          public List<UhfParamId> supportedParams

      The list of supported parameters This is used to check which parameters are set in the config

  - ### Constructor Detail

    - #### RFIDConfig

          public RFIDConfig()

  - ### Method Detail

    - #### setContinuousMode

          public void setContinuousMode(boolean continuousMode)

      Sets the continuous mode.
      Parameters:
        `continuousMode` - true to enable continuous mode, false to disable it

    - #### setTarget

          public void setTarget(Target target)

      Sets the target for the RFID module.
      Parameters:
        `target` - The target to set

    - #### setSession

          public void setSession(Session session)

      Sets the session for the RFID module.
      Parameters:
        `session` - The session to set

    - #### setEncoding

          public void setEncoding(Encoding encoding)

      Sets the encoding for the RFID module.
      Parameters:
        `encoding` - The encoding to set

    - #### setTariType

          public void setTariType(TARIType tariType)

      Sets the TARI type for the RFID module.
      Parameters:
        `tariType` - The TARI type to set

    - #### setBlfType

          public void setBlfType(BLFType blfType)

      Sets the BLF type for the RFID module.
      Parameters:
        `blfType` - The BLF type to set

    - #### setAlgorithm

          public void setAlgorithm(AlgorithmType algorithm)

      Sets the algorithm type for the RFID module.
      Parameters:
        `algorithm` - The algorithm type to set

    - #### setFastMode

          public void setFastMode(boolean fastMode)

      Sets the fast mode for the RFID module.
      Parameters:
        `fastMode` - true to enable fast mode, false to disable it

    - #### setToggleTarget

          public void setToggleTarget(boolean toggleTarget)

      Sets the toggle target for the RFID module.
      Parameters:
        `toggleTarget` - true to enable toggle target, false to disable it

    - #### setPower

          public void setPower(int power)

      Sets the power for the RFID module.
      Parameters:
        `power` - The power level to set

    - #### setInventoryTime

          public void setInventoryTime(int inventoryTime)

      Sets the inventory time for the RFID module.
      Parameters:
        `inventoryTime` - The inventory time in milliseconds

    - #### setIdleTime

          public void setIdleTime(int idleTime)

      Sets the idle time for the RFID module.
      Parameters:
        `idleTime` - The idle time in milliseconds

    - #### setStartQ

          public void setStartQ(int startQ)

      Sets the start Q value for the RFID module.
      Parameters:
        `startQ` - The start Q value to set

    - #### setMaxQ

          public void setMaxQ(int maxQ)

      Sets the maximum Q value for the RFID module.
      Parameters:
        `maxQ` - The maximum Q value to set

    - #### setMinQ

          public void setMinQ(int minQ)

      Sets the minimum Q value for the RFID module.
      Parameters:
        `minQ` - The minimum Q value to set

    - #### setDwellTime

          public void setDwellTime(int dwellTime)

      Sets the dwell time for the RFID module.
      Parameters:
        `dwellTime` - The dwell time in milliseconds

    - #### setRoundCount

          public void setRoundCount(int roundCount)

      Sets the round count for the RFID module.
      Parameters:
        `roundCount` - The dwell time in milliseconds

    - #### setRfMode

          public void setRfMode(RFMode rfMode)

      Sets the RF mode for the RFID module.
      Parameters:
        `rfMode` - The RF mode to set

    - #### setSelectMode

          public void setSelectMode(SelectMode selectMode)

      Sets the select mode for the RFID module.
      Parameters:
        `selectMode` - The select mode to set

    - #### setLbt

          public void setLbt(boolean lbt)

      Sets the lbt (Listen Before Talk) setting for the RFID module.
      Parameters:
        `lbt` - true to enable lbt, false to disable it

    - #### setFastID

          public void setFastID(boolean fastID)

      Sets the fast ID (read TID) setting for the RFID module.
      Parameters:
        `fastID` - true to enable fast ID, false to disable it

    - #### setTagFocus

          public void setTagFocus(boolean tagFocus)

      Sets the tag focus setting for the RFID module.
      Parameters:
        `tagFocus` - true to enable tag focus, false to disable it

    - #### setPowerSavingMode

          public void setPowerSavingMode(PowerSavingMode powerSavingMode)

      Sets the power saving mode for the RFID module.
      Parameters:
        `powerSavingMode` - The power saving mode to set

    - #### setLbtCfgSetting

          public void setLbtCfgSetting(int lbtCfgSetting)

      Sets the LBT configuration setting for the RFID module.
      Parameters:
        `lbtCfgSetting` - The LBT configuration setting value

    - #### setAntennaSwitchingMode

          public void setAntennaSwitchingMode(AntennaSwitchingMode antennaSwitchingMode)

      Sets the antenna switching mode for the RFID module.
      Parameters:
        `antennaSwitchingMode` - The antenna switching mode to set

    - #### setFreqSwitchingMode

          public void setFreqSwitchingMode(FreqSwitchingMode freqSwitchingMode)

      Sets the frequency switching mode for the RFID module.
      Parameters:
        `freqSwitchingMode` - The frequency switching mode to set

    - #### setModuleProfile

          public void setModuleProfile(int moduleProfile)

      Sets the module profile for the RFID module.
      Parameters:
        `moduleProfile` - The module profile to set

    - #### setGen2xScan

          public void setGen2xScan(Gen2XScanSetting gen2XScanSetting)

      Sets the gen2x scan for the RFID module.
      Parameters:
        `gen2XScanSetting` - The gen2x scan to set

    - #### setGen2xScanId

          public void setGen2xScanId(Gen2XScanIdSetting gen2XScanIdSetting)

      Sets the gen2x scanId for the RFID module
      Parameters:
        `gen2XScanIdSetting` - The gen2x scanId to set

    - #### isContains

          public boolean isContains(UhfParamId paramId)

      Checks if the RFIDConfig contains a specific parameter.
      Parameters:
        `paramId` - The parameter ID to check
      Returns:
        true if the parameter is supported, false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`